<ti-top-bar [isBack]="false">
  <div class="rightContent flexLayout">
    <button mat-button class="primaryColor fontWeight600 backgroundColorTransparent" (click)="skip()">
      <span i18n="@@global.skipLabel" [translate]="'global.skipLabel'">Skip</span>
    </button>
  </div>
</ti-top-bar>
<div class="app-body">
  <div class="app-content flexLayout flexDirectionColumn flexAlignCenter">
    <ti-permission
      *ngIf="activePermission"
      [id]="activePermission.id"
      [title]="activePermission.title"
      [image]="activePermission.image"
      [description]="activePermission.description"
      [activate]="activePermission.activate"
      (activated)="onActivate(activePermission.id)"
    >
      <div *ngIf="permissions.length > 1" class="stepper flexLayout paddingTop0_5 paddingBottom1 fullWidth">
        <div
          *ngFor="let step of permissions; index as i"
          class="step backgroundColorPrimary marginLeft0_5 marginRight0_5"
          [class.active]="i <= activePermissionIndex"
          [style.width]="100 / permissions.length + '%'"
        ></div>
      </div>
    </ti-permission>
  </div>
</div>
